#####################################################################################
# Plot Smartblade2 data provided by                                                 #
# Contact: Dr.-Ing. Christian Willberg christian.willberg@dlr.de                    #
# leichtbau.dlr.de                                                                  #
# doi: 10.5281/zenodo.3628356                                                       #
# The authors like to thank the German Federal Ministry for Economic                # 
# Affairs and Energy for the funding (Funding number: 0324032) and the members      #
# of the Research Alliance Wind Energy for the project organization and discussion. #
#####################################################################################
import matplotlib.pyplot as plt
import pandas as pd

# Displacement plots
# separation is done with a semicolon
fig1 = plt.figure()
subfig1 = fig1.add_subplot(111)
DispExample = pd.read_csv('./Displacements/MxMax17700.csv',sep=';',  index_col=False)

DispExample.plot('xe', 'ye',  ax = subfig1)
DispExample.plot('xs', 'ys', ax = subfig1)
plt.xlabel('Distance_from_leading_edge [mm]')
plt.ylabel('Displacement [mm]')
plt.legend(['Experiment', 'Simulation'])
subfig1.grid()
subfig1.set_ylim(0, 1.1*max(DispExample['ys']))
plt.show()


# Strain plots
# separation is done with a comma
fig2 = plt.figure()
subfig2 = fig2.add_subplot(111)
StrainExampleExp = pd.read_csv('./MxMax/Experiment_MxMax_1600_xplot_SS_epsx_Sensor_005_Z01600_SS_TE_00.txt',sep=',',  index_col=False)
StrainExampleExp.plot('Distance_from_leading_edge', 'epsx', ax = subfig2, style ='o')
StrainExampleSim = pd.read_csv('./MxMax/Simulation_MxMax_1600_xplot_SS_epsx.txt',sep=',',  index_col=False)
StrainExampleSim.plot('Distance_from_leading_edge', 'epsx', ax = subfig2)
plt.xlabel('Distance_from_leading_edge [mm]')
plt.ylabel('Strain XX [-]')
plt.legend(['Experiment', 'Simulation'])
subfig2.grid()
plt.show()
